Image diff reject
Documentation for Image diff reject
Read time 1 minuteLast updated a year ago
Reject a difference analysis identified by . The specified difference analysis must be in a complete or failed
state.
<diffid>Note that you must reject or accept a difference analysis before generating a new one.
https://api.multiplay.co.uk/cfp/v1/imagediff/<diffid>/reject
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
diffid | The parameter accepts a difference analysis ID that identifies a difference analysis in a completed or failed state. The specified will be rejected. | No |
reinstall | The parameter accepts a boolean value. If set to , the machine associated with the diff will have the image reinstalled to the last known good state. If set to , the image won't be reinstalled. | No |
Response fields
With install (reinstall = 1)
|
|
|
|
|---|---|---|---|
uninstalljobid | integer | ID of the uninstall job that was triggered | No |
jobcreated | integer | Unix timestamp of when the job was created | No |
joberror | string | Message indicating the job error | Yes |
jobeta | integer | Unix timestamp representing the time at which the job is expected to complete | Yes |
jobfailed | integer | Numeric flag indicating whether the job has failed | No |
jobprogress | integer | Percentage between 0 and 100 indicating job progress | No |
jobstart | string | Unix timestamp of when the job was started | Yes |
jobstateid | integer | Job state ID indicating the state of the job | Yes |
jobstatename | string | Name of the job state | No |
jobupdated | integer | Unix timestamp of when the job was last updated | No |
Without install (reinstall != 1)
|
|
|
|
|---|---|---|---|
diffid | integer | ID of the diff being used | No |
Example request
curl --location -g --request GET 'https://api.multiplay.co.uk/cfp/v1/imagediff/<diffid>/reject?accountserviceid=<accountserviceid>&reinstall=<reinstall>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
Without reinstall (reinstall != 1)
{ "diffid" : <diffid>}
With reinstall (reinstall = 1)
{ "uninstalljobid" : <uninstalljobid>, "jobcreated" : <jobcreated>, "joberror" : <joberror>, "jobeta" : <jobeta>, "jobfailed" : <jobfailed>, "jobprogress" : <jobprogress>, "jobstart" : <jobstart>, "jobstateid" : <jobstateid>, "jobstatename" : <jobstatename>, "jobupdated" : <jobupdated>}
Failed difference analysis
If the difference analysis fails,
the Image Diff Status endpoint
returns a response body that includes and more information about why the creation failed in
the field. The failed difference analysis must be rejected by calling
the Image Diff Status endpoint
with the before a new difference analysis based on the same game image can be run.
"jobfailed": 1"error"diffid